/************************************************************************
    frap/defrap - fractal image compressor/decompressor
    Copyright (C) 1997-2000 Matthias Ruhl

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    The author can be contacted at:
      MIT Laboratory for Computer Science
      200 Technology Square
      Cambridge, MA 02139
      USA
    or via e-mail: ruhl@theory.lcs.mit.edu
*************************************************************************/

#include <stdlib.h>
#include "frap.h"

/* Global variables for frap */

int basesize = 4;
int codesize = 10;
int width,height,depth,width2,height2;

/* pixel vectors of baseblocks */
int baseblocknum;
pixel **baseblock;
double *bsum,*bvar;

/* pixel vectors of shrunken domain blocks */
int codebooksize;
pixel **codebook;
double *csum,*cvar;

/* Ranges in this partition */
int rangenum;
rangeT *range,**rptr;
  
/* rotation schemes */
int **rot;

imageT *image = NULL;
double epsilon = 2.5;
int s_bits = 5,           /* Number of bits used to store scale factor */
    o_bits = 7;           /* Number of bits used to store offset       */


